
import { MIoTDevice } from './MIoTDevice'
import { SharedQueue } from './shared/queue'
import { SharedDevice } from './shared/device'
import { SharedFoundation } from './shared/foundation'
import { HAP, Logging } from 'homebridge'
import { Config } from './main'

const DEFAULT_CONFIG = {
  reConnectThreshold: 90000,
  reConnectFailureThreshold: 10000,
  requestConnectDebounceThreshold: 40,
  requestPropertyDebounceThreshold: 100,
}
function initMIoT ({
  log, hap, config
}: {
  log: Logging; hap: HAP; config?: Config
}) {
  SharedFoundation.log = log
  SharedFoundation.hap = hap
  SharedFoundation.config = Object.assign(DEFAULT_CONFIG, config)
}

export { initMIoT, MIoTDevice, SharedQueue, SharedDevice, SharedFoundation }
